wxWidgets: wxNativeFontInfo Class Reference

| Version: 3.1.5

Public Member Functions | List of all members
wxNativeFontInfo Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/fontutil.h>`

## Detailed Description

wxNativeFontInfo is platform-specific font representation: this class should be considered as an opaque font description only used by the native functions, the user code can only get the objects of this type from somewhere and pass it somewhere else (possibly save them somewhere using ToString() and restore them using FromString())

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxNativeFontInfo ()
| wxNativeFontInfo (const wxNativeFontInfo &info)
| ~wxNativeFontInfo ()
wxNativeFontInfo & | operator= (const wxNativeFontInfo &info)
void | Init ()
void | InitFromFont (const wxFont &font)
int | GetPointSize () const
float | GetFractionalPointSize () const
wxSize | GetPixelSize () const
wxFontStyle | GetStyle () const
int | GetNumericWeight () const
wxFontWeight | GetWeight () const
bool | GetUnderlined () const
wxString | GetFaceName () const
wxFontFamily | GetFamily () const
wxFontEncoding | GetEncoding () const
void | SetPointSize (int pointsize)
void | SetFractionalPointSize (float pointsize)
void | SetPixelSize (const wxSize &pixelSize)
void | SetStyle (wxFontStyle style)
void | SetNumericWeight (int weight)
void | SetWeight (wxFontWeight weight)
void | SetUnderlined (bool underlined)
bool | SetFaceName (const wxString &facename)
void | SetFamily (wxFontFamily family)
void | SetEncoding (wxFontEncoding encoding)
void | SetFaceName (const wxArrayString &facenames)
bool | FromString (const wxString &s)
wxString | ToString () const
bool | FromUserString (const wxString &s)
wxString | ToUserString () const

## Constructor & Destructor Documentation

## ◆ wxNativeFontInfo() [1/2]

wxNativeFontInfo::wxNativeFontInfo | ( |  | ) |

## ◆ wxNativeFontInfo() [2/2]

wxNativeFontInfo::wxNativeFontInfo | ( | const wxNativeFontInfo & | info | ) |

## ◆ ~wxNativeFontInfo()

wxNativeFontInfo::~wxNativeFontInfo | ( |  | ) |

## Member Function Documentation

## ◆ FromString()

bool wxNativeFontInfo::FromString | ( | const wxString & | s | ) |

## ◆ FromUserString()

bool wxNativeFontInfo::FromUserString | ( | const wxString & | s | ) |

## ◆ GetEncoding()

wxFontEncoding wxNativeFontInfo::GetEncoding | ( |  | ) | const

## ◆ GetFaceName()

wxString wxNativeFontInfo::GetFaceName | ( |  | ) | const

## ◆ GetFamily()

wxFontFamily wxNativeFontInfo::GetFamily | ( |  | ) | const

## ◆ GetFractionalPointSize()

float wxNativeFontInfo::GetFractionalPointSize | ( |  | ) | const

## ◆ GetNumericWeight()

int wxNativeFontInfo::GetNumericWeight | ( |  | ) | const

## ◆ GetPixelSize()

wxSize wxNativeFontInfo::GetPixelSize | ( |  | ) | const

## ◆ GetPointSize()

int wxNativeFontInfo::GetPointSize | ( |  | ) | const

## ◆ GetStyle()

wxFontStyle wxNativeFontInfo::GetStyle | ( |  | ) | const

## ◆ GetUnderlined()

bool wxNativeFontInfo::GetUnderlined | ( |  | ) | const

## ◆ GetWeight()

wxFontWeight wxNativeFontInfo::GetWeight | ( |  | ) | const

## ◆ Init()

void wxNativeFontInfo::Init | ( |  | ) |

## ◆ InitFromFont()

void wxNativeFontInfo::InitFromFont | ( | const wxFont & | font | ) |

## ◆ operator=()

wxNativeFontInfo & wxNativeFontInfo::operator= | ( | const wxNativeFontInfo & | info | ) |

## ◆ SetEncoding()

void wxNativeFontInfo::SetEncoding | ( | wxFontEncoding | encoding | ) |

## ◆ SetFaceName() [1/2]

void wxNativeFontInfo::SetFaceName | ( | const wxArrayString & | facenames | ) |

## ◆ SetFaceName() [2/2]

bool wxNativeFontInfo::SetFaceName | ( | const wxString & | facename | ) |

## ◆ SetFamily()

void wxNativeFontInfo::SetFamily | ( | wxFontFamily | family | ) |

## ◆ SetFractionalPointSize()

void wxNativeFontInfo::SetFractionalPointSize | ( | float | pointsize | ) |

## ◆ SetNumericWeight()

void wxNativeFontInfo::SetNumericWeight | ( | int | weight | ) |

## ◆ SetPixelSize()

void wxNativeFontInfo::SetPixelSize | ( | const wxSize & | pixelSize | ) |

## ◆ SetPointSize()

void wxNativeFontInfo::SetPointSize | ( | int | pointsize | ) |

## ◆ SetStyle()

void wxNativeFontInfo::SetStyle | ( | wxFontStyle | style | ) |

## ◆ SetUnderlined()

void wxNativeFontInfo::SetUnderlined | ( | bool | underlined | ) |

## ◆ SetWeight()

void wxNativeFontInfo::SetWeight | ( | wxFontWeight | weight | ) |

## ◆ ToString()

wxString wxNativeFontInfo::ToString | ( |  | ) | const

## ◆ ToUserString()

wxString wxNativeFontInfo::ToUserString | ( |  | ) | const